from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dbconfig import OracleDBConfig
from .dataproxy import OracleDataProxy
from .constants import DB_TYPES
from .patches import patch_oracle

__version__ = '1.1.0'

patch_oracle()


class OracleModel(SQLAlchemyModel):
    db_types = DB_TYPES


class OracleModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES


ModuleMaker = OracleModuleMaker
Model = OracleModel
DataProxy = OracleDataProxy
DBConfig = OracleDBConfig
